diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 8570175..7004c4e 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -4090,8 +4090,9 @@ difference(getDomains 'IndexedAggregate,getDomains 'Collection)
 credits()
 --R 
 --RAn alphabetical listing of contributors to AXIOM:
---RCyril Alberga          Roy Adler              Christian Aistleitner
---RRichard Anderson       George Andrews         S.J. Atkins
+--RMichael Albaugh        Cyril Alberga          Roy Adler
+--RChristian Aistleitner  Richard Anderson       George Andrews
+--RS.J. Atkins
 --RHenry Baker            Stephen Balzac         Yurij Baransky
 --RDavid R. Barton        Gerald Baumgartner     Gilbert Baumslag
 --RMichael Becker         Nelson H. F. Beebe     Jay Belanger
diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
index 54f41fa..91054a1 100644
--- a/books/bookvol5.pamphlet
+++ b/books/bookvol5.pamphlet
@@ -95,8 +95,9 @@ of effort. We would like to acknowledge and thank the following people:
 \begin{chunk}{initvars}
 (defvar credits '(
 "An alphabetical listing of contributors to AXIOM:"
-"Cyril Alberga          Roy Adler              Christian Aistleitner"
-"Richard Anderson       George Andrews         S.J. Atkins"
+"Michael Albaugh        Cyril Alberga          Roy Adler"
+"Christian Aistleitner  Richard Anderson       George Andrews"
+"S.J. Atkins"
 "Henry Baker            Martin Baker           Stephen Balzac"
 "Yurij Baransky         David R. Barton        Gerald Baumgartner"
 "Gilbert Baumslag       Michael Becker         Nelson H. F. Beebe"
diff --git a/changelog b/changelog
index d0809d6..3227712 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,15 @@
+20111227 tpd src/axiom-website/patches.html 20111227.02.tpd.patch
+20111227 mxa src/axiom-website/litprog.html note HTML escape code flaw
+20111227 mxa readme add Michael Albaugh
+20111227 mxa books/bookvol10.4.pamphlet add Michael Albaugh
+20111227 mxa books/bookvol5.pamphlet add Michael Albaugh
+20111227 mxa Michael Albaugh <m.e.albaugh@gmail.com>
+20111227 tpd src/axiom-website/patches.html 20111227.01.tpd.patch
+20111227 gxr src/axiom-website/litprog.html fix argument count
+20111227 gxr readme add Guilherme Reis
+20111227 gxr books/bookvol10.4.pamphlet add Guilherme Reis
+20111227 gxr books/bookvol5.pamphlet add  Guilherme Reis
+20111227 gxr Guilherme Reis <guilhermekbsa@gmail.com>
 20111218 tpd src/axiom-website/patches.html 20111218.01.tpd.patch
 20111218 tpd src/interp/vmlisp.lisp localize function names
 20111218 tpd src/interp/patches.lisp localize function names
diff --git a/readme b/readme
index 7433183..8ccf176 100644
--- a/readme
+++ b/readme
@@ -188,8 +188,9 @@ which contains this list. Typing
 at the axiom command prompt will prettyprint the list.
 
 "An alphabetical listing of contributors to AXIOM:"
-"Cyril Alberga          Roy Adler              Christian Aistleitner"
-"Richard Anderson       George Andrews         S.J. Atkins"
+"Michael Albaugh        Cyril Alberga          Roy Adler"
+"Christian Aistleitner  Richard Anderson       George Andrews"
+"S.J. Atkins"
 "Henry Baker            Martin Baker           Stephen Balzac"
 "Yurij Baransky         David R. Barton        Gerald Baumgartner"
 "Gilbert Baumslag       Michael Becker         Nelson H. F. Beebe"
diff --git a/src/axiom-website/litprog.html b/src/axiom-website/litprog.html
index 04a84d4..8522194 100644
--- a/src/axiom-website/litprog.html
+++ b/src/axiom-website/litprog.html
@@ -595,6 +595,14 @@ into two parts then the substring "lt;" is not a valid HTML code and
 will not be replaced. <b>This</b> is the kind of information that
 literate programming preserves. A clever programmer would combine the
 two tests into the single strncmp and everything will fail.
+</p><p>
+Michael Albaugh points out that this code does not handle the complete
+list of escape codes. For a more general implementation we should create
+a table mapping the code from the HTML version to the characters. Since
+they do not occur in this example I have not done this in its full
+generality. Escape codes can be numeric as well as character based
+and there are several hundred of them.
+</p>
 <pre id="fixHTMLcode">
 void fixHTMLcode() {
   int point = 0;
@@ -982,6 +990,10 @@ Tim Daly, November 18, 2011
 <pre>
  Guilherme Reis found that the check for the number of arguments
  was incorrect. It should have been exactly 2.
+
+ Michael Albaugh points out that this code does not handle the complete
+ of escape codes, as noted above. A production version of this code
+ would have to handle that.
 </pre>
   </div>
  </body>
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 50ddd2a..f623e8c 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3745,5 +3745,7 @@ src/axiom-website/axiomgraph/maps/parse.json add parse tree<br/>
 books/bookvol9 localize function names<br/>
 <a href="patches/20111227.01.tpd.patch">20111227.01.tpd.patch</a>
 src/axiom-website/litprog.html fix argument count<br/>
+<a href="patches/20111227.02.tpd.patch">20111227.02.tpd.patch</a>
+src/axiom-website/litprog.html note HTML escape code flaw<br/>
  </body>
 </html>
